Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractInputContextFactory

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractInputContextFactory

All Implemented Interfaces:
  QAbstractFactoryInterface, QAbstractInputContextFactoryInterface, QtJambiInterface

    public abstract class QAbstractInputContextFactory

extends QtJambiObject
implements QAbstractInputContextFactoryInterface, QAbstractFactoryInterface

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QAbstractInputContextFactory()` Creates a new QAbstractInputContextFactory
`protected` | `QAbstractInputContextFactory(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_QAbstractFactory(long ptr)` This method is internal to Qt Jambi.
`long` | `__qt_cast_to_QAbstractInputContextFactory(long ptr)` This method is internal to Qt Jambi.
`abstract QInputContext` | `create(java.lang.String key)` Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`.
`abstract java.lang.String` | `description(java.lang.String key)` Returns an internationalized brief description of the `QInputContext` object specified by `key`.
`abstract java.lang.String` | `displayName(java.lang.String key)` Returns a user friendly internationalized name of the `QInputContext` object specified by `key`.
`static QAbstractInputContextFactory` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractInputContextFactory instance pointed to by `nativePointer`.
`abstract java.util.List<java.lang.String>` | `keys()` Returns the list of keys this factory can create input contexts for.
`abstract java.util.List<java.lang.String>` | `languages(java.lang.String key)` Returns the languages supported by the `QInputContext` object specified by `key`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractInputContextFactory

    public QAbstractInputContextFactory()

  Creates a new QAbstractInputContextFactory

### QAbstractInputContextFactory

    protected QAbstractInputContextFactory(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### create

    public abstract QInputContext create(java.lang.String key)

  Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`. Keys are case sensitive.

See also:
  `keys()`.

  Specified by:
    `create` in interface `QAbstractInputContextFactoryInterface`

### description

    public abstract java.lang.String description(java.lang.String key)

  Returns an internationalized brief description of the `QInputContext` object specified by `key`. You can, for example, use this description in a user interface.

See also:
  `keys()`, and `displayName()`.

  Specified by:
    `description` in interface `QAbstractInputContextFactoryInterface`

### displayName

    public abstract java.lang.String displayName(java.lang.String key)

  Returns a user friendly internationalized name of the `QInputContext` object specified by `key`. You can, for example, use this name in a menu.

See also:
  `keys()`, and `QInputContext::identifierName()`.

  Specified by:
    `displayName` in interface `QAbstractInputContextFactoryInterface`

### keys

    public abstract java.util.List<java.lang.String> keys()

  Returns the list of keys this factory can create input contexts for.

  The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with `QInputContext::identifierName()`, and may only contain ASCII characters.

See also:
  `create()`, `displayName()`, and `QInputContext::identifierName()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`
  Specified by:
    `keys` in interface `QAbstractInputContextFactoryInterface`

### languages

    public abstract java.util.List<java.lang.String> languages(java.lang.String key)

  Returns the languages supported by the `QInputContext` object specified by `key`.

  The languages are expressed as language code (e.g. "`zh_CN`", "`zh_TW`", "`zh_HK`", "ja", "ko", ...). An input context that supports multiple languages can return all supported languages as a QStringList. The name has to be consistent with `QInputContext::language()`.

  This information may be used to optimize a user interface.

See also:
  `keys()`, `QInputContext::language()`, and `QLocale`.

  Specified by:
    `languages` in interface `QAbstractInputContextFactoryInterface`

### fromNativePointer

    public static QAbstractInputContextFactory fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractInputContextFactory instance pointed to by `nativePointer`.

### __qt_cast_to_QAbstractInputContextFactory

    public long __qt_cast_to_QAbstractInputContextFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractInputContextFactory` in interface `QAbstractInputContextFactoryInterface`

### __qt_cast_to_QAbstractFactory

    public long __qt_cast_to_QAbstractFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractFactory` in interface `QAbstractFactoryInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

o_QAbstractInputContextFactory(long)">__qt_cast_to_QAbstractInputContextFactory in interface `QAbstractInputContextFactoryInterface`

### __qt_cast_to_QAbstractFactory

    public long __qt_cast_to_QAbstractFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractFactory` in interface `QAbstractFactoryInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help